import { AxiosRequestConfig } from 'axios';
import ApiCore from '../ApiCore';
export default class Http {
    axios: any;
    before: Function[];
    after: Function[];
    done: Set<Function>;
    fail: Set<Function>;
    queue: Map<any, any>;
    constructor(axios: any);
    /**
     * Dispatch an axios request
     *
     * @param instance
     * @param config
     * @param data
     * @returns {Promise<any>}
     */
    request(instance: ApiCore, config: AxiosRequestConfig, data?: any): any;
}
